Package org.lwjgl.opengl

# Class EXTPalettedTexture

java.lang.Object
org.lwjgl.opengl.EXTPalettedTexture

public final class EXTPalettedTexture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_INDEX1_EXT`
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static final int`
`GL_COLOR_INDEX12_EXT`
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static final int`
`GL_COLOR_INDEX16_EXT`
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static final int`
`GL_COLOR_INDEX2_EXT`
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static final int`
`GL_COLOR_INDEX4_EXT`
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static final int`
`GL_COLOR_INDEX8_EXT`
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:
`static final int`
`GL_COLOR_TABLE_ALPHA_SIZE_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_BLUE_SIZE_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_FORMAT_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_GREEN_SIZE_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_INTENSITY_SIZE_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_LUMINANCE_SIZE_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_RED_SIZE_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_COLOR_TABLE_WIDTH_EXT`
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:
`static final int`
`GL_TEXTURE_INDEX_SIZE_EXT`
Accepted by the value parameter of GetTexLevelParameter{if}v:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glColorSubTableEXT(int target, int start, int count, int format, int type, ByteBuffer data)`
`static void`
`glColorSubTableEXT(int target, int start, int count, int format, int type, DoubleBuffer data)`
`static void`
`glColorSubTableEXT(int target, int start, int count, int format, int type, FloatBuffer data)`
`static void`
`glColorSubTableEXT(int target, int start, int count, int format, int type, IntBuffer data)`
`static void`
`glColorSubTableEXT(int target, int start, int count, int format, int type, ShortBuffer data)`
`static void`
`glColorTableEXT(int target, int internalFormat, int width, int format, int type, ByteBuffer data)`
`static void`
`glColorTableEXT(int target, int internalFormat, int width, int format, int type, DoubleBuffer data)`
`static void`
`glColorTableEXT(int target, int internalFormat, int width, int format, int type, FloatBuffer data)`
`static void`
`glColorTableEXT(int target, int internalFormat, int width, int format, int type, IntBuffer data)`
`static void`
`glColorTableEXT(int target, int internalFormat, int width, int format, int type, ShortBuffer data)`
`static void`
`glGetColorTableEXT(int target, int format, int type, ByteBuffer data)`
`static void`
`glGetColorTableEXT(int target, int format, int type, DoubleBuffer data)`
`static void`
`glGetColorTableEXT(int target, int format, int type, FloatBuffer data)`
`static void`
`glGetColorTableEXT(int target, int format, int type, IntBuffer data)`
`static void`
`glGetColorTableEXT(int target, int format, int type, ShortBuffer data)`
`static void`
`glGetColorTableParameterEXT(int target, int pname, FloatBuffer params)`
`static void`
`glGetColorTableParameterEXT(int target, int pname, IntBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COLOR_INDEX1_EXT

public static final int GL_COLOR_INDEX1_EXT
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

See Also:
  - Constant Field Values

### GL_COLOR_INDEX2_EXT

public static final int GL_COLOR_INDEX2_EXT
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

See Also:
  - Constant Field Values

### GL_COLOR_INDEX4_EXT

public static final int GL_COLOR_INDEX4_EXT
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

See Also:
  - Constant Field Values

### GL_COLOR_INDEX8_EXT

public static final int GL_COLOR_INDEX8_EXT
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

See Also:
  - Constant Field Values

### GL_COLOR_INDEX12_EXT

public static final int GL_COLOR_INDEX12_EXT
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

See Also:
  - Constant Field Values

### GL_COLOR_INDEX16_EXT

public static final int GL_COLOR_INDEX16_EXT
Accepted by the internalformat parameter of TexImage1D, TexImage2D and TexImage3DEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_FORMAT_EXT

public static final int GL_COLOR_TABLE_FORMAT_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_WIDTH_EXT

public static final int GL_COLOR_TABLE_WIDTH_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_RED_SIZE_EXT

public static final int GL_COLOR_TABLE_RED_SIZE_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_GREEN_SIZE_EXT

public static final int GL_COLOR_TABLE_GREEN_SIZE_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_BLUE_SIZE_EXT

public static final int GL_COLOR_TABLE_BLUE_SIZE_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_ALPHA_SIZE_EXT

public static final int GL_COLOR_TABLE_ALPHA_SIZE_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_LUMINANCE_SIZE_EXT

public static final int GL_COLOR_TABLE_LUMINANCE_SIZE_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_INTENSITY_SIZE_EXT

public static final int GL_COLOR_TABLE_INTENSITY_SIZE_EXT
Accepted by the pname parameter of GetColorTableParameterivEXT and GetColorTableParameterfvEXT:

See Also:
  - Constant Field Values

### GL_TEXTURE_INDEX_SIZE_EXT

public static final int GL_TEXTURE_INDEX_SIZE_EXT
Accepted by the value parameter of GetTexLevelParameter{if}v:

See Also:
  - Constant Field Values

## Method Details

### glColorTableEXT

public static void glColorTableEXT(int target, int internalFormat, int width, int format, int type, ByteBuffer data)

### glColorTableEXT

public static void glColorTableEXT(int target, int internalFormat, int width, int format, int type, DoubleBuffer data)

### glColorTableEXT

public static void glColorTableEXT(int target, int internalFormat, int width, int format, int type, FloatBuffer data)

### glColorTableEXT

public static void glColorTableEXT(int target, int internalFormat, int width, int format, int type, IntBuffer data)

### glColorTableEXT

public static void glColorTableEXT(int target, int internalFormat, int width, int format, int type, ShortBuffer data)

### glColorSubTableEXT

public static void glColorSubTableEXT(int target, int start, int count, int format, int type, ByteBuffer data)

### glColorSubTableEXT

public static void glColorSubTableEXT(int target, int start, int count, int format, int type, DoubleBuffer data)

### glColorSubTableEXT

public static void glColorSubTableEXT(int target, int start, int count, int format, int type, FloatBuffer data)

### glColorSubTableEXT

public static void glColorSubTableEXT(int target, int start, int count, int format, int type, IntBuffer data)

### glColorSubTableEXT

public static void glColorSubTableEXT(int target, int start, int count, int format, int type, ShortBuffer data)

### glGetColorTableEXT

public static void glGetColorTableEXT(int target, int format, int type, ByteBuffer data)

### glGetColorTableEXT

public static void glGetColorTableEXT(int target, int format, int type, DoubleBuffer data)

### glGetColorTableEXT

public static void glGetColorTableEXT(int target, int format, int type, FloatBuffer data)

### glGetColorTableEXT

public static void glGetColorTableEXT(int target, int format, int type, IntBuffer data)

### glGetColorTableEXT

public static void glGetColorTableEXT(int target, int format, int type, ShortBuffer data)

### glGetColorTableParameterEXT

public static void glGetColorTableParameterEXT(int target, int pname, IntBuffer params)

### glGetColorTableParameterEXT

public static void glGetColorTableParameterEXT(int target, int pname, FloatBuffer params)